package de.kif.common.model

import kotlinx.serialization.Serializable

@Serializable
data class User(
    val id: Long?,
    val username: String,
    val password: String,
    val permissions: Set<Permission>
) : Model {

    fun checkPermission(permission: Permission): Boolean {
        return permission in permissions || Permission.ADMIN in permissions
    }
}
